Subject: bug#41423: 27.0.91; eshell file completion in tramp dir is slow (3 minutes) [regression on pretest]

From: "Tim Vaughan" <[email-masked]>
Date: Wed, 19 Aug 2020 12:24:03 +0200

Just a heads up: I believe I'm experiencing this bug under 27.1.  (Before finding this bug report I also did a bisection and found the same culprit commit that Andres did.).  Thus I expect it somehow manage to escape pretest.

Additionally, I've noticed that although the effect is severe only in tramp directories, there is a noticeable (~0.5s) pause when executing commands in local directories, provided autocompletion has been used to create the command string.  (The exact same command does not seem to cause the delay when typed in without invoking autocompletion.)

I'm not at all familiar with the eshell code, but I spent some time trying to identify the cause.  Weirdly the behaviour does not seem to occur when I instrument `eshell-send-input', making it a bit of a heisenbug.

Tim